import type { Service } from '../types';

/** No-op renderer placeholder. */
export default class NullRenderer implements Service
{
    public name = 'NullRenderer';
    public readonly serviceType = 'renderer2D';

    public render(): void {}
    public get view(): null
    {
        return null;
    }

    public dispose(): void {}
}
